appService
  .factory('getHD', function (User, $resource, ENV) {
    return {
      query: function () {
        return $resource(ENV.api + 'getAppLatestActivity.action').query({
          _userId: User.getCurrentUserId()
        });
      }
    }
  })
  /*.factory('getZXHDInfo', function () {
    var info = [{
      id: 1,
      message: "2018-1-20日，下午三点到五点,山西路乐园将举办第三届夏令营活动，如有意向，请点击我要参加",
      time: '刚刚',
      img: 'img/kczzd-img1.jpg'
    }, {
      id: 2,
      message: "2018-1-20日，下午三点到五点,山西路乐园将举办第三届夏令营活动，如有意向，请点击我要参加",
      time: '刚刚',
      img: 'img/kczzd-img2.jpg'
    }, {
      id: 3,
      message: "2018-1-20日，下午三点到五点,山西路乐园将举办第三届夏令营活动，如有意向，请点击我要参加",
      time: '2018-1-1',
      img: 'img/kczzd-img3.jpg'
    }];
    return {
      all: function () {
        return info;
      },
      remove: function (item) {
        info.splice(info.indexOf(item), 1);
      },
      get: function (infoId) {
        for (var i = 0; i < info.length; i++) {
          if (info[i].id === parseInt(infoId)) {
            return info[i];
          }
        }
        return null;
      }
    }
  })*/
  .factory('getYCJActivities', function (User, $resource, ENV) {
    return {
      query: function () {
        return $resource(ENV.api + 'getAppCommittedActivity.action').query({
          _userId: User.getCurrentUserId()
        })
      }
    }
  })

  .factory('getWCJActivities', function (User, $resource, ENV) {
    return {
      query: function () {
        return $resource(ENV.api + 'getAppUncommittedActivity.action').query({
          _userId: User.getCurrentUserId()
        })
      }
    }
  })
  //父母课堂详情
  .factory('getClientMessageist', function (User, $resource, ENV, $rootScope) {
    return {
      query: function (id, subId) {
        return $resource(ENV.api + 'getClientMessageistById.action').query({
          _id: id,
          _subId: subId
        })
      },
      queryMessage: function (id) {
        return $resource(ENV.api + 'getCommonMessageInfo.action').query({
          _userId: User.getCurrentUserId(),
          _id: id,
          _type: "TW"
        });
      },
      save: function (content, replyInfo, param) {
        return $resource(ENV.api + 'saveLeaveMessage.action').save({
          User: User.getCurrentUserId(),
          type: "TW",
          replyId: replyInfo.replyId || null,
          topic_id: replyInfo.topicId || 0,
          business_desc: replyInfo.businessDesc,
          pid: replyInfo.parentId || null,
          content: content,
          business_id: param.id,
          uuid: $rootScope.phone.uuid,
          model: $rootScope.phone.model,
          serial: $rootScope.phone.serial,
          pageCode: $rootScope.pageCode,
          openTime: moment().format('YYYY-MM-DD HH:mm:ss')
        });
      }
    }
  })
  //活动详情
  .factory('getActivityClientMessageist', function ($resource, ENV,  User) {
    return {
      query: function (id) {
        return $resource(ENV.api + 'getActivityClientMessageistById.action').query({
          _id: id,
          _userId: User.getCurrentUserId()
        })
      }
    }
  })
  //活动详情(带报课)
  .factory('getAppActivityInfo', function ($resource, ENV, User) {
    return {
      query: function (id) {
        return $resource(ENV.api + 'getAppActivityInfo.action').query({
          _id: id,
          _userId: User.getCurrentUserId()
        })
      }
    }
  })
;
